<?php 
	$sauna_lite_theme_color_first = get_theme_mod('sauna_lite_theme_color_first');
	$sauna_lite_theme_color_second = get_theme_mod('sauna_lite_theme_color_second');
	$sauna_lite_theme_color_third = get_theme_mod('sauna_lite_theme_color_third');
	$sauna_lite_custom_css ='';

	/*------------------ Theme Color Option -----------*/

	if ($sauna_lite_theme_color_first) {
		$sauna_lite_custom_css .= ':root {';
		$sauna_lite_custom_css .= '--primary-color: ' . esc_attr($sauna_lite_theme_color_first) . ' !important;';
		$sauna_lite_custom_css .= '} ';
	}

	if ($sauna_lite_theme_color_second) {
		$sauna_lite_custom_css .= ':root {';
		$sauna_lite_custom_css .= '--secondary-color: ' . esc_attr($sauna_lite_theme_color_second) . ' !important;';
		$sauna_lite_custom_css .= '} ';
	}

	if ($sauna_lite_theme_color_third) {
		$sauna_lite_custom_css .= ':root {';
		$sauna_lite_custom_css .= '--tertiary-color: ' . esc_attr($sauna_lite_theme_color_third) . ' !important;';
		$sauna_lite_custom_css .= '} ';
	}

	/*--------------------Width Layout -------------------*/
	$sauna_lite_theme_lay = get_theme_mod( 'sauna_lite_width_options','Full Layout');
    if($sauna_lite_theme_lay == 'Full Layout'){
		$sauna_lite_custom_css .='body{';
			$sauna_lite_custom_css .='max-width: 100%;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == 'Contained Layout'){
		$sauna_lite_custom_css .='body{';
			$sauna_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$sauna_lite_custom_css .='}';
		$sauna_lite_custom_css .='.page-template-custom-frontpage header{';
			$sauna_lite_custom_css .='position: relative;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == 'Boxed Layout'){
		$sauna_lite_custom_css .='body{';
			$sauna_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$sauna_lite_custom_css .='}';
		$sauna_lite_custom_css .='.page-template-custom-frontpage header{';
			$sauna_lite_custom_css .='position: relative;';
		$sauna_lite_custom_css .='}';
	}

	// sticky sidebar
	$sauna_lite_sticky_sidebar = get_theme_mod('sauna_lite_sticky_sidebar');
	if ( $sauna_lite_sticky_sidebar ) {
		$sauna_lite_custom_css .= '@media (min-width: 768px) {';
			$sauna_lite_custom_css .= '#sidebar {';
				$sauna_lite_custom_css .= 'position: sticky;';
				$sauna_lite_custom_css .= 'top: 50px; margin-bottom: 30px;';
			$sauna_lite_custom_css .= '}';
		$sauna_lite_custom_css .= '}';
	}

	/*------------- Slider Opacity -------------------*/
	$sauna_lite_slider_layout = get_theme_mod( 'sauna_lite_slider_opacity','0.7');
	if($sauna_lite_slider_layout == '0'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.1'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.1';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.2'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.2';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.3'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.3';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.4'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.4';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.5'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.5';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.6'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.6';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.7'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.7';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.8'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.8';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == '0.9'){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:0.9';
		$sauna_lite_custom_css .='}';
	}

	/*-------------Slider Content Layout ------------*/
	$sauna_lite_slider_layout = get_theme_mod( 'sauna_lite_slider_content_option','Center');
    if($sauna_lite_slider_layout == 'Left'){
    	$sauna_lite_custom_css .='@media screen and (min-width: 721px){	';
		$sauna_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .read-btn{';
			$sauna_lite_custom_css .='text-align:start;';
		$sauna_lite_custom_css .='}';
		$sauna_lite_custom_css .='#slider .carousel-caption{';
		$sauna_lite_custom_css .='left:10%; right:35%;';
		$sauna_lite_custom_css .='}}';
	}else if($sauna_lite_slider_layout == 'Center'){
		$sauna_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .read-btn{';
			$sauna_lite_custom_css .='text-align:center;';
		$sauna_lite_custom_css .='}';
		$sauna_lite_custom_css .='#slider .carousel-caption{';
		$sauna_lite_custom_css .='left:25%; right:25%;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_slider_layout == 'Right'){
		$sauna_lite_custom_css .='@media screen and (min-width: 721px){	';
		$sauna_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .read-btn{';
			$sauna_lite_custom_css .='text-align:end;';
		$sauna_lite_custom_css .='}';
		$sauna_lite_custom_css .='#slider .carousel-caption{';
		$sauna_lite_custom_css .='left:35%; right:10%;';
		$sauna_lite_custom_css .='}}';
	}


	/* Slider content spacing */
	$sauna_lite_top_spacing = get_theme_mod('sauna_lite_slider_top_spacing');
	$sauna_lite_bottom_spacing = get_theme_mod('sauna_lite_slider_bottom_spacing');
	$sauna_lite_left_spacing = get_theme_mod('sauna_lite_slider_left_spacing');
	$sauna_lite_right_spacing = get_theme_mod('sauna_lite_slider_right_spacing');
	if($sauna_lite_top_spacing != false || $sauna_lite_bottom_spacing != false || $sauna_lite_left_spacing != false || $sauna_lite_right_spacing != false){
		$sauna_lite_custom_css .='#slider .carousel-caption{';
			$sauna_lite_custom_css .='top: '.esc_attr($sauna_lite_top_spacing).'%; bottom: '.esc_attr($sauna_lite_bottom_spacing).'%; left: '.esc_attr($sauna_lite_left_spacing).'%; right: '.esc_attr($sauna_lite_right_spacing).'%;';
		$sauna_lite_custom_css .='}';
	}

	/*------Slider height ---------*/
	$sauna_lite_slider_height = get_theme_mod('sauna_lite_slider_height');
	if($sauna_lite_slider_height != false){
		$sauna_lite_custom_css .='#slider img  {';
			$sauna_lite_custom_css .='height: '.esc_attr($sauna_lite_slider_height).'px;';
		$sauna_lite_custom_css .='}';
		$sauna_lite_custom_css .='@media screen and (max-width: 575px){		
			#slider img  {';
			$sauna_lite_custom_css .='height: auto;';
		$sauna_lite_custom_css .='} }';
	}
	
	/*------Shop page pagination ---------*/
	$sauna_lite_shop_page_pagination = get_theme_mod('sauna_lite_shop_page_pagination', true);
	if($sauna_lite_shop_page_pagination == false){
		$sauna_lite_custom_css .= '.woocommerce nav.woocommerce-pagination {';
			$sauna_lite_custom_css .='display: none;';
		$sauna_lite_custom_css .='}';
	}
	
	/*------- Post into blocks ------*/
	$sauna_lite_post_blocks = sanitize_text_field(get_theme_mod('sauna_lite_post_blocks', 'Without box'));
	if ($sauna_lite_post_blocks == 'Within box') {
		$sauna_lite_custom_css = (isset($sauna_lite_custom_css) ? $sauna_lite_custom_css : '');
		$sauna_lite_custom_css .= "
			.inner-service .post-box {
				border: 1px solid #222;
				background: transparent;
			}
		";
	}

	/*------ Button Style -------*/
	$sauna_lite_top_buttom_padding = get_theme_mod('sauna_lite_top_button_padding');
	$sauna_lite_left_right_padding = get_theme_mod('sauna_lite_left_button_padding');
	if($sauna_lite_top_buttom_padding != false || $sauna_lite_left_right_padding != false ){
		$sauna_lite_custom_css .='#our-services .page-box .read-more, .related-posts .page-box .read-more, .more-btn a, #comments input[type="submit"].submit{';
			$sauna_lite_custom_css .='padding-top: '.esc_attr($sauna_lite_top_buttom_padding).'px; padding-bottom: '.esc_attr($sauna_lite_top_buttom_padding).'px; padding-left: '.esc_attr($sauna_lite_left_right_padding).'px; padding-right: '.esc_attr($sauna_lite_left_right_padding).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_button_border_radius = get_theme_mod('sauna_lite_button_border_radius');
	$sauna_lite_custom_css .='#our-services .page-box .read-more, .more-btn a, .related-posts .page-box .read-more, #comments input[type="submit"].submit, .hvr-sweep-to-right:before{';
		$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_button_border_radius).'px;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_btn_font_weight = get_theme_mod('sauna_lite_btn_font_weight');{
	$sauna_lite_custom_css .='#our-services .page-box .read-more, .more-btn a, .related-posts .page-box .read-more, #comments input[type="submit"].submit, .hvr-sweep-to-right:before{';
	$sauna_lite_custom_css .='font-weight: '.esc_attr($sauna_lite_btn_font_weight).';';
	$sauna_lite_custom_css .='}';
	}   

	$sauna_lite_button_letter_spacing = get_theme_mod('sauna_lite_button_letter_spacing');
	$sauna_lite_custom_css .='#our-services .page-box .read-more, .more-btn a, .related-posts .page-box .read-more, #comments input[type="submit"].submit, .hvr-sweep-to-right:before{';
		$sauna_lite_custom_css .='letter-spacing: '.esc_attr($sauna_lite_button_letter_spacing).'px;';
	$sauna_lite_custom_css .='}';
	
	//Button Shape
	$sauna_lite_btn_shape = get_theme_mod('sauna_lite_btn_shape', 'Square');
	if($sauna_lite_btn_shape == 'Square' ){
		$sauna_lite_custom_css .='#our-services .page-box .read-more, .more-btn a, .related-posts .page-box .read-more, #comments input[type="submit"].submit, .hvr-sweep-to-right:before, .hvr-sweep-to-right:before{';
			$sauna_lite_custom_css .=' border-radius: 0';
		$sauna_lite_custom_css .='}';
	}elseif($sauna_lite_btn_shape == 'Round' ){
		$sauna_lite_custom_css .='#our-services .page-box .read-more, .more-btn a, .related-posts .page-box .read-more, #comments input[type="submit"].submit, .hvr-sweep-to-right:before, .hvr-sweep-to-right:before{';
			$sauna_lite_custom_css .=' border-radius: .3em';
		$sauna_lite_custom_css .='}';
	}elseif($sauna_lite_btn_shape == 'Pill' ){
		$sauna_lite_custom_css .='#our-services .page-box .read-more, .more-btn a, .related-posts .page-box .read-more, #comments input[type="submit"].submit, .hvr-sweep-to-right:before, .hvr-sweep-to-right:before{';
			$sauna_lite_custom_css .=' border-radius: 2em;';
		$sauna_lite_custom_css .='}';
	}

	//Button hover effect
	$sauna_lite_button_hover_effect = get_theme_mod('sauna_lite_button_hover_effect', 'disable');
	if ($sauna_lite_button_hover_effect !== 'disable') {
		$sauna_lite_custom_css .= '#our-services .page-box .read-more:hover {';
		switch ($sauna_lite_button_hover_effect) {
			case 'pulse':
				$sauna_lite_custom_css .= 'animation: pulse 0.5s ease-in-out;';
				break;
			case 'rubberBand':
				$sauna_lite_custom_css .= 'animation: rubberBand 0.5s ease-in-out;';
				break;
			case 'swing':
				$sauna_lite_custom_css .= 'animation: swing 0.5s ease-in-out;';
				break;
			case 'tada':
				$sauna_lite_custom_css .= 'animation: tada 0.5s ease-in-out;';
				break;
			case 'jello':
				$sauna_lite_custom_css .= 'animation: jello 0.5s ease-in-out;';
				break;
		}
		$sauna_lite_custom_css .= '}';
	}

	//keyframes for all animations
	$sauna_lite_custom_css .= '
	@keyframes pulse {
		0% { transform: scale(1); }
		50% { transform: scale(1.1); }
		100% { transform: scale(1); }
	}

	@keyframes rubberBand {
		0% { transform: scale(1); }
		30% { transform: scaleX(1.25) scaleY(0.75); }
		40% { transform: scaleX(0.75) scaleY(1.25); }
		50% { transform: scale(1); }
	}

	@keyframes swing {
		20% { transform: rotate(15deg); }
		40% { transform: rotate(-10deg); }
		60% { transform: rotate(5deg); }
		80% { transform: rotate(-5deg); }
		100% { transform: rotate(0deg); }
	}

	@keyframes tada {
		0% { transform: scale(1); }
		10%, 20% { transform: scale(0.9) rotate(-3deg); }
		30%, 50%, 70%, 90% { transform: scale(1.1) rotate(3deg); }
		40%, 60%, 80% { transform: scale(1.1) rotate(-3deg); }
		100% { transform: scale(1) rotate(0); }
	}

	@keyframes jello {
		0%, 11.1%, 100% { transform: none; }
		22.2% { transform: skewX(-12.5deg) skewY(-12.5deg); }
		33.3% { transform: skewX(6.25deg) skewY(6.25deg); }
		44.4% { transform: skewX(-3.125deg) skewY(-3.125deg); }
		55.5% { transform: skewX(1.5625deg) skewY(1.5625deg); }
		66.6% { transform: skewX(-0.78125deg) skewY(-0.78125deg); }
		77.7% { transform: skewX(0.390625deg) skewY(0.390625deg); }
		88.8% { transform: skewX(-0.1953125deg) skewY(-0.1953125deg); }
	}';

	/*-------------- Woocommerce Button  -------------------*/
	$sauna_lite_woocommerce_button_padding_top = get_theme_mod('sauna_lite_woocommerce_button_padding_top');
	if($sauna_lite_woocommerce_button_padding_top != false){
		$sauna_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button.alt, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
			$sauna_lite_custom_css .='padding-top: '.esc_attr($sauna_lite_woocommerce_button_padding_top).'px; padding-bottom: '.esc_attr($sauna_lite_woocommerce_button_padding_top).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_button_padding_right = get_theme_mod('sauna_lite_woocommerce_button_padding_right');
	if($sauna_lite_woocommerce_button_padding_right != false){
		$sauna_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button.alt, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
			$sauna_lite_custom_css .='padding-left: '.esc_attr($sauna_lite_woocommerce_button_padding_right).'px; padding-right: '.esc_attr($sauna_lite_woocommerce_button_padding_right).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_button_border_radius = get_theme_mod('sauna_lite_woocommerce_button_border_radius');
	if($sauna_lite_woocommerce_button_border_radius != false){
		$sauna_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce button.button.alt, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
			$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_woocommerce_button_border_radius).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_related_product = get_theme_mod('sauna_lite_related_product',true);

	if($sauna_lite_related_product == false){
		$sauna_lite_custom_css .='.related.products{';
			$sauna_lite_custom_css .='display: none;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_product_border = get_theme_mod('sauna_lite_woocommerce_product_border',true);

	if($sauna_lite_woocommerce_product_border == false){
		$sauna_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$sauna_lite_custom_css .='border: none;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_product_padding_top = get_theme_mod('sauna_lite_woocommerce_product_padding_top',10);
	{
		$sauna_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$sauna_lite_custom_css .='padding-top: '.esc_attr($sauna_lite_woocommerce_product_padding_top).'px !important; padding-bottom: '.esc_attr($sauna_lite_woocommerce_product_padding_top).'px !important;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_product_padding_right = get_theme_mod('sauna_lite_woocommerce_product_padding_right',10);
	{
		$sauna_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$sauna_lite_custom_css .='padding-left: '.esc_attr($sauna_lite_woocommerce_product_padding_right).'px !important; padding-right: '.esc_attr($sauna_lite_woocommerce_product_padding_right).'px !important;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_product_border_radius = get_theme_mod('sauna_lite_woocommerce_product_border_radius');
	if($sauna_lite_woocommerce_product_border_radius != false){
		$sauna_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_woocommerce_product_border_radius).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_woocommerce_product_box_shadow = get_theme_mod('sauna_lite_woocommerce_product_box_shadow');
	if($sauna_lite_woocommerce_product_box_shadow != false){
		$sauna_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$sauna_lite_custom_css .='box-shadow: '.esc_attr($sauna_lite_woocommerce_product_box_shadow).'px '.esc_attr($sauna_lite_woocommerce_product_box_shadow).'px '.esc_attr($sauna_lite_woocommerce_product_box_shadow).'px #aaa;';
		$sauna_lite_custom_css .='}';
	}

	/*------ Slider show/hide -------*/
	if(get_theme_mod('sauna_lite_slider_hide') == false){
		$sauna_lite_custom_css .=' .page-template-custom-frontpage #header{';
			$sauna_lite_custom_css .='position: static; background: var(--primary-color);';
		$sauna_lite_custom_css .='}';
	}

	/*---- Preloader Color ----*/
	$sauna_lite_preloader_color = get_theme_mod('sauna_lite_preloader_color');
	$sauna_lite_preloader_bg_color = get_theme_mod('sauna_lite_preloader_bg_color');
	$sauna_lite_preloader_background_img = get_theme_mod('sauna_lite_preloader_background_img');

	if($sauna_lite_preloader_color != false){
		$sauna_lite_custom_css .='.preloader-squares .square, .preloader-chasing-squares .square{';
			$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_preloader_color).';';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_preloader_bg_color != false){
		$sauna_lite_custom_css .='.preloader{';
			$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_preloader_bg_color).';';
		$sauna_lite_custom_css .='}';
	}
	if ( $sauna_lite_preloader_background_img != false ) {
		$sauna_lite_custom_css .= '.preloader{';
		$sauna_lite_custom_css .= 'background: url(' . esc_url( $sauna_lite_preloader_background_img ) . ');';
		$sauna_lite_custom_css .= '-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$sauna_lite_custom_css .= '}';
	}

	/*-------- Scrollup icon css -------*/
	$sauna_lite_scroll_icon_font_size = get_theme_mod('sauna_lite_scroll_icon_font_size', 18);
	$sauna_lite_custom_css .='.scrollup{';
		$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_scroll_icon_font_size).'px;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_scroll_icon_color = get_theme_mod('sauna_lite_scroll_icon_color');
	$sauna_lite_custom_css .='.scrollup{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_scroll_icon_color).'!important;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_scroll_icon_hover_color = get_theme_mod('sauna_lite_scroll_icon_hover_color');
	$sauna_lite_custom_css .='.scrollup:hover{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_scroll_icon_hover_color).'!important;';
	$sauna_lite_custom_css .='}';	

	$sauna_lite_scroll_text_transform = get_theme_mod( 'sauna_lite_scroll_text_transform','Capitalize');
	if($sauna_lite_scroll_text_transform== 'Capitalize'){
		$sauna_lite_custom_css .='.scrollup{';
			$sauna_lite_custom_css .='text-transform:Capitalize;';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_scroll_text_transform == 'Lowercase'){
		$sauna_lite_custom_css .='.scrollup{';
			$sauna_lite_custom_css .='text-transform:Lowercase;';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_scroll_text_transform == 'Uppercase'){
		$sauna_lite_custom_css .='.scrollup{';
			$sauna_lite_custom_css .='text-transform:Uppercase;';
		$sauna_lite_custom_css .='}';
	}

	/*---- Copyright css ----*/
	$sauna_lite_copyright_color = get_theme_mod('sauna_lite_copyright_color');
	$sauna_lite_custom_css .='.copyright p a,.copyright p{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_copyright_color).'!important;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_copyright__hover_color = get_theme_mod('sauna_lite_copyright__hover_color');
	$sauna_lite_custom_css .='.copyright p a:hover,.copyright p:hover{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_copyright__hover_color).'!important;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_copyright_fontsize = get_theme_mod('sauna_lite_copyright_fontsize',16);
	if($sauna_lite_copyright_fontsize != false){
		$sauna_lite_custom_css .='.copyright p{';
			$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_copyright_fontsize).'px; ';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_copyright_top_bottom_padding = get_theme_mod('sauna_lite_copyright_top_bottom_padding',15);
	if($sauna_lite_copyright_top_bottom_padding != false){
		$sauna_lite_custom_css .='.copyright {';
			$sauna_lite_custom_css .='padding-top:'.esc_attr($sauna_lite_copyright_top_bottom_padding).'px; padding-bottom: '.esc_attr($sauna_lite_copyright_top_bottom_padding).'px; ';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_copyright_alignment = get_theme_mod( 'sauna_lite_copyright_alignment','Center');
    if($sauna_lite_copyright_alignment == 'Left'){
		$sauna_lite_custom_css .='.copyright p{';
			$sauna_lite_custom_css .='text-align:start;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_copyright_alignment == 'Center'){
		$sauna_lite_custom_css .='.copyright p{';
			$sauna_lite_custom_css .='text-align:center;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_copyright_alignment == 'Right'){
		$sauna_lite_custom_css .='.copyright p{';
			$sauna_lite_custom_css .='text-align:end;';
		$sauna_lite_custom_css .='}';
	}

	//  sticky copyright
	$sauna_lite_resp_stickycopyright = get_theme_mod( 'sauna_lite_stickycopyright_hide_show',false);
	if($sauna_lite_resp_stickycopyright == true && get_theme_mod( 'sauna_lite_copyright_sticky',false) != true){
    	$sauna_lite_custom_css .='.copyright-sticky{';
			$sauna_lite_custom_css .='position:static;';
		$sauna_lite_custom_css .='} ';
	}


	/*------- Wocommerce sale css -----*/
	$sauna_lite_woocommerce_sale_top_padding = get_theme_mod('sauna_lite_woocommerce_sale_top_padding');
	$sauna_lite_woocommerce_sale_left_padding = get_theme_mod('sauna_lite_woocommerce_sale_left_padding');
	$sauna_lite_custom_css .=' .woocommerce span.onsale{';
		$sauna_lite_custom_css .='padding-top: '.esc_attr($sauna_lite_woocommerce_sale_top_padding).'px; padding-bottom: '.esc_attr($sauna_lite_woocommerce_sale_top_padding).'px; padding-left: '.esc_attr($sauna_lite_woocommerce_sale_left_padding).'px; padding-right: '.esc_attr($sauna_lite_woocommerce_sale_left_padding).'px;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_woocommerce_sale_border_radius = get_theme_mod('sauna_lite_woocommerce_sale_border_radius', 50);
	$sauna_lite_custom_css .='.woocommerce span.onsale{';
		$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_woocommerce_sale_border_radius).'px;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_sale_position = get_theme_mod( 'sauna_lite_sale_position','right');
    if($sauna_lite_sale_position == 'left'){
		$sauna_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$sauna_lite_custom_css .='left: 0; right: auto;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_sale_position == 'right'){
		$sauna_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$sauna_lite_custom_css .='left: auto; right: 0;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_product_sale_font_size = get_theme_mod('sauna_lite_product_sale_font_size', 16);
	$sauna_lite_custom_css .='.woocommerce span.onsale {';
		$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_product_sale_font_size).'px;';
	$sauna_lite_custom_css .='}';

	// footer background css
	$sauna_lite_footer_background_color = get_theme_mod('sauna_lite_footer_background_color');
	$sauna_lite_custom_css .='#sauna-footer{';
		$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_footer_background_color).'!important;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_footer_background_img = get_theme_mod('sauna_lite_footer_background_img');
	if($sauna_lite_footer_background_img != false){
		$sauna_lite_custom_css .='#sauna-footer{';
			$sauna_lite_custom_css .='background: url('.esc_attr($sauna_lite_footer_background_img).') no-repeat; background-size: cover; background-attachment: fixed;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_theme_lay = get_theme_mod( 'sauna_lite_img_footer','scroll');
	if($sauna_lite_theme_lay == 'fixed'){
		$sauna_lite_custom_css .='#sauna-footer{';
			$sauna_lite_custom_css .='background-attachment: fixed !important; background-position: center !important;';
		$sauna_lite_custom_css .='}';
	}elseif ($sauna_lite_theme_lay == 'scroll'){
		$sauna_lite_custom_css .='#sauna-footer{';
			$sauna_lite_custom_css .='background-attachment: scroll !important; background-position: center !important;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_footer_img_position = get_theme_mod('sauna_lite_footer_img_position','center center');
	if($sauna_lite_footer_img_position != false){
		$sauna_lite_custom_css .='#sauna-footer{';
			$sauna_lite_custom_css .='background-position: '.esc_attr($sauna_lite_footer_img_position).'!important;';
		$sauna_lite_custom_css .='}';
	}
	//Footer Social Icon Font size
	$sauna_lite_footer_icon_font_size = get_theme_mod('sauna_lite_footer_icon_font_size');
	$sauna_lite_custom_css .='footer .socialicons i{';
	$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_footer_icon_font_size).'px;';
	$sauna_lite_custom_css .='}';

	//Footer Social Icon Alignment
	$sauna_lite_footer_icon_alignment = get_theme_mod( 'sauna_lite_footer_icon_alignment','Center');
    if($sauna_lite_footer_icon_alignment == 'Left'){
		$sauna_lite_custom_css .='footer .socialicons{';
			$sauna_lite_custom_css .='text-align:start;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_footer_icon_alignment == 'Center'){
		$sauna_lite_custom_css .='footer .socialicons{';
			$sauna_lite_custom_css .='text-align:center;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_footer_icon_alignment == 'Right'){
		$sauna_lite_custom_css .='footer .socialicons{';
			$sauna_lite_custom_css .='text-align:end;';
		$sauna_lite_custom_css .='}';
	}

	/*---- Comment form ----*/
	$sauna_lite_comment_width = get_theme_mod('sauna_lite_comment_width', '100');
	$sauna_lite_custom_css .='#comments textarea{';
		$sauna_lite_custom_css .=' width:'.esc_attr($sauna_lite_comment_width).'%;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_comment_submit_text = get_theme_mod('sauna_lite_comment_submit_text', 'Post Comment');
	if($sauna_lite_comment_submit_text == ''){
		$sauna_lite_custom_css .='#comments p.form-submit {';
			$sauna_lite_custom_css .='display: none;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_comment_title = get_theme_mod('sauna_lite_comment_title', 'Leave a Reply');
	if($sauna_lite_comment_title == ''){
		$sauna_lite_custom_css .='#comments h2#reply-title {';
			$sauna_lite_custom_css .='display: none;';
		$sauna_lite_custom_css .='}';
	}

	// Sticky Header padding
	$sauna_lite_sticky_header_padding = get_theme_mod('sauna_lite_sticky_header_padding');
	$sauna_lite_custom_css .='.fixed-header{';
		$sauna_lite_custom_css .=' padding-top:'.esc_attr($sauna_lite_sticky_header_padding).'px; padding-bottom:'.esc_attr($sauna_lite_sticky_header_padding).'px;';
	$sauna_lite_custom_css .='}';

	// Navigation Font Size 
	$sauna_lite_nav_font_size = get_theme_mod('sauna_lite_nav_font_size');
	if($sauna_lite_nav_font_size != false){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_nav_font_size).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_navigation_case = get_theme_mod('sauna_lite_navigation_case', 'capitalize');
	if($sauna_lite_navigation_case == 'uppercase' ){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .=' text-transform: uppercase;';
		$sauna_lite_custom_css .='}';
	}elseif($sauna_lite_navigation_case == 'capitalize' ){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .=' text-transform: capitalize;';
		$sauna_lite_custom_css .='}';
	}

	// site title color option
	$sauna_lite_site_title_color_setting = get_theme_mod('sauna_lite_site_title_color_setting');
	$sauna_lite_custom_css .=' .sauna-lite-logo h1 a, .sauna-lite-logo p a{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_site_title_color_setting).';';
	$sauna_lite_custom_css .='} ';

	$sauna_lite_tagline_color_setting = get_theme_mod('sauna_lite_tagline_color_setting');
	$sauna_lite_custom_css .=' .sauna-lite-logo p.site-description{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_tagline_color_setting).';';
	$sauna_lite_custom_css .='} ';

	//Site title Font size
	$sauna_lite_site_title_fontsize = get_theme_mod('sauna_lite_site_title_fontsize');
	$sauna_lite_custom_css .='.sauna-lite-logo h1, .sauna-lite-logo p.site-title{';
		$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_site_title_fontsize).'px;';
	$sauna_lite_custom_css .='}';

	$sauna_lite_site_description_fontsize = get_theme_mod('sauna_lite_site_description_fontsize');
	$sauna_lite_custom_css .='.sauna-lite-logo p.site-description{';
		$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_site_description_fontsize).'px;';
	$sauna_lite_custom_css .='}';

	/*----- Featured image css -----*/
	$sauna_lite_featured_image_border_radius = get_theme_mod('sauna_lite_featured_image_border_radius');
	if($sauna_lite_featured_image_border_radius != false){
		$sauna_lite_custom_css .='.inner-service .post-box img{';
			$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_featured_image_border_radius).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_featured_image_box_shadow = get_theme_mod('sauna_lite_featured_image_box_shadow');
	if($sauna_lite_featured_image_box_shadow != false){
		$sauna_lite_custom_css .='.inner-service .box-image img{';
			$sauna_lite_custom_css .='box-shadow: 8px 8px '.esc_attr($sauna_lite_featured_image_box_shadow).'px #aaa;';
		$sauna_lite_custom_css .='}';
	} 

	// featured image dimention
	$sauna_lite_blog_post_featured_image_dimension = get_theme_mod('sauna_lite_blog_post_featured_image_dimension', 'default');
	$sauna_lite_blog_post_featured_image_custom_width = get_theme_mod('sauna_lite_blog_post_featured_image_custom_width',250);
	$sauna_lite_blog_post_featured_image_custom_height = get_theme_mod('sauna_lite_blog_post_featured_image_custom_height',250);
	if($sauna_lite_blog_post_featured_image_dimension == 'custom'){
		$sauna_lite_custom_css .='.post .box-image img{';
			$sauna_lite_custom_css .='width: '.esc_attr($sauna_lite_blog_post_featured_image_custom_width).'!important; height: '.esc_attr($sauna_lite_blog_post_featured_image_custom_height).';';
		$sauna_lite_custom_css .='}';
	}		

	//  ------------ Mobile Media Options ----------
	$sauna_lite_responsive_show_back_to_top = get_theme_mod('sauna_lite_responsive_show_back_to_top',true);
	if($sauna_lite_responsive_show_back_to_top == true && get_theme_mod('sauna_lite_show_back_to_top',true) == false){
		$sauna_lite_custom_css .='@media screen and (min-width:575px){
			.scrollup{';
			$sauna_lite_custom_css .='visibility:hidden;';
		$sauna_lite_custom_css .='} }';
	}

	if($sauna_lite_responsive_show_back_to_top == false){
		$sauna_lite_custom_css .='@media screen and (max-width:575px){
			.scrollup{';
			$sauna_lite_custom_css .='visibility:hidden;';
		$sauna_lite_custom_css .='} }';
	}


	$sauna_lite_responsive_preloader_hide = get_theme_mod('sauna_lite_responsive_preloader_hide',false);
	if($sauna_lite_responsive_preloader_hide == true && get_theme_mod('sauna_lite_preloader_hide',false) == false){
		$sauna_lite_custom_css .='@media screen and (min-width:575px){
			.preloader{';
			$sauna_lite_custom_css .='display:none !important;';
		$sauna_lite_custom_css .='} }';
	}

	if($sauna_lite_responsive_preloader_hide == false){
		$sauna_lite_custom_css .='@media screen and (max-width:575px){
			.preloader{';
			$sauna_lite_custom_css .='display:none !important;';
		$sauna_lite_custom_css .='} }';
	}

	$sauna_lite_responsive_sticky_header = get_theme_mod('sauna_lite_responsive_sticky_header',false);
	if($sauna_lite_responsive_sticky_header == true && get_theme_mod('sauna_lite_sticky_header',false) == false){
		$sauna_lite_custom_css .='@media screen and (min-width:575px){
			.fixed-header{';
			$sauna_lite_custom_css .='position:static !important;';
		$sauna_lite_custom_css .='} }';
	}

	if($sauna_lite_responsive_sticky_header == false){
		$sauna_lite_custom_css .='@media screen and (max-width:575px){
			.fixed-header{';
			$sauna_lite_custom_css .='position:static !important;';
		$sauna_lite_custom_css .='} }';
	}

	$sauna_lite_slider = get_theme_mod( 'sauna_lite_mobile_media_slider',true);
	if($sauna_lite_slider == true && get_theme_mod( 'sauna_lite_slider_hide', false) == false){
    	$sauna_lite_custom_css .='#slider{';
			$sauna_lite_custom_css .='display:none;';
		$sauna_lite_custom_css .='} ';
	}
    if($sauna_lite_slider == true){
    	$sauna_lite_custom_css .='@media screen and (max-width:575px) {';
		$sauna_lite_custom_css .='#slider{';
			$sauna_lite_custom_css .='display:block;';
		$sauna_lite_custom_css .='} }';
	}else if($sauna_lite_slider == false){
		$sauna_lite_custom_css .='@media screen and (max-width:575px) {';
		$sauna_lite_custom_css .='#slider{';
			$sauna_lite_custom_css .='display:none;';
		$sauna_lite_custom_css .='} }';
	}

	// slider button
	if (get_theme_mod('sauna_lite_slider_button_responsive',true) == true && get_theme_mod('sauna_lite_slider_button',true) == false) {
		$sauna_lite_custom_css .='@media screen and (min-width: 575px){
			.more-btn{';
			$sauna_lite_custom_css .=' display: none;';
		$sauna_lite_custom_css .='} }';
	}
	if (get_theme_mod('sauna_lite_slider_button_responsive',true) == false) {
		$sauna_lite_custom_css .='@media screen and (max-width: 575px){
			.more-btn{';
			$sauna_lite_custom_css .=' display: none;';
		$sauna_lite_custom_css .='} }';
		$sauna_lite_custom_css .='@media screen and (max-width: 575px){
			#slider .carousel-caption{';
			$sauna_lite_custom_css .=' padding: 0px;';
		$sauna_lite_custom_css .='} }';
	}

	// slider overlay
	$sauna_lite_home_slider_overlay = get_theme_mod('sauna_lite_home_slider_overlay', true);
	if($sauna_lite_home_slider_overlay == false){
		$sauna_lite_custom_css .='#slider img{';
			$sauna_lite_custom_css .='opacity:1;';
		$sauna_lite_custom_css .='}';
	} 
	$sauna_lite_home_slider_overlay_color = get_theme_mod('sauna_lite_home_slider_overlay_color', true);
	if($sauna_lite_home_slider_overlay != false){
		$sauna_lite_custom_css .='#slider{';
			$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_home_slider_overlay_color).';';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_resp_sidebar = get_theme_mod( 'sauna_lite_sidebar_hide_show',true);
    if($sauna_lite_resp_sidebar == true){
    	$sauna_lite_custom_css .='@media screen and (max-width:575px) {';
		$sauna_lite_custom_css .='#sidebar{';
			$sauna_lite_custom_css .='display:block;';
		$sauna_lite_custom_css .='} }';
	}else if($sauna_lite_resp_sidebar == false){
		$sauna_lite_custom_css .='@media screen and (max-width:575px) {';
		$sauna_lite_custom_css .='#sidebar{';
			$sauna_lite_custom_css .='display:none;';
		$sauna_lite_custom_css .='} }';
	}

	// menu font weight
	$sauna_lite_theme_lay = get_theme_mod( 'sauna_lite_font_weight_menu_option','Default');
    if($sauna_lite_theme_lay == '300'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-weight: 300;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == '400'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-weight: 400;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == 'Default'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-weight: 600;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == '500'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-weight: 500;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == '700'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-weight: 700;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_theme_lay == '800'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='font-weight: 800;';
		$sauna_lite_custom_css .='}';
	}

	// menu padding
	$sauna_lite_menu_padding = get_theme_mod('sauna_lite_menu_padding');
	$sauna_lite_custom_css .='.primary-navigation ul li a{';
		$sauna_lite_custom_css .='padding: '.esc_attr($sauna_lite_menu_padding).'px;';
	$sauna_lite_custom_css .='}';

	// Menu Item Hover Style	
	$sauna_lite_menus_item = get_theme_mod( 'sauna_lite_menus_item_style','None');
	if($sauna_lite_menus_item == 'None'){
		$sauna_lite_custom_css .='.primary-navigation ul li a{';
			$sauna_lite_custom_css .='';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_menus_item == 'Zoom In'){
		$sauna_lite_custom_css .='.primary-navigation ul li a:hover{';
			$sauna_lite_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.1) !important;';
		$sauna_lite_custom_css .='}';
	}

	// menu color
	$sauna_lite_menu_color = get_theme_mod('sauna_lite_menu_color');

	$sauna_lite_custom_css .='.primary-navigation a,.primary-navigation .current_page_item > a, .primary-navigation .current-menu-item > a, .primary-navigation .current_page_ancestor > a{';
			$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_menu_color).'!important;';
	$sauna_lite_custom_css .='}';

	// menu hover color
	$sauna_lite_menu_hover_color = get_theme_mod('sauna_lite_menu_hover_color');
	$sauna_lite_custom_css .='.primary-navigation a:hover, .primary-navigation ul li a:hover{';
			$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_menu_hover_color).' !important;';
	$sauna_lite_custom_css .='}';

	// Submenu color
	$sauna_lite_submenu_menu_color = get_theme_mod('sauna_lite_submenu_menu_color');
	$sauna_lite_custom_css .='.primary-navigation ul.sub-menu a, .primary-navigation ul.sub-menu li a,.primary-navigation ul.children a, .primary-navigation ul.children li a{';
			$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_submenu_menu_color).' !important;';
	$sauna_lite_custom_css .='}';

	// Submenu Hover Color Option
	$sauna_lite_submenu_hover_color = get_theme_mod('sauna_lite_submenu_hover_color');
	$sauna_lite_custom_css .='.primary-navigation ul.sub-menu li a:hover,.primary-navigation ul.children li a:hover {';
	$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_submenu_hover_color).'!important;';
	$sauna_lite_custom_css .='} ';

	// Breadcrumb color option
	$sauna_lite_breadcrumb_color = get_theme_mod('sauna_lite_breadcrumb_color');
	$sauna_lite_custom_css .='.bradcrumbs a,.bradcrumbs span{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_breadcrumb_color).'!important;';
	$sauna_lite_custom_css .='}';

	// Breadcrumb bg color option
	$sauna_lite_breadcrumb_background_color = get_theme_mod('sauna_lite_breadcrumb_background_color');
	$sauna_lite_custom_css .='.bradcrumbs a,.bradcrumbs span{';
		$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_breadcrumb_background_color).'!important;';
	$sauna_lite_custom_css .='}';

	// Breadcrumb hover color option
	$sauna_lite_breadcrumb_hover_color = get_theme_mod('sauna_lite_breadcrumb_hover_color');
	$sauna_lite_custom_css .='.bradcrumbs a:hover{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_breadcrumb_hover_color).'!important;';
	$sauna_lite_custom_css .='}';

	// Breadcrumb hover bg color option
	$sauna_lite_breadcrumb_hover_bg_color = get_theme_mod('sauna_lite_breadcrumb_hover_bg_color');
	$sauna_lite_custom_css .='.bradcrumbs a:hover{';
		$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_breadcrumb_hover_bg_color).'!important;';
	$sauna_lite_custom_css .='}';

	// Category color option
	$sauna_lite_category_color = get_theme_mod('sauna_lite_category_color');
	$sauna_lite_custom_css .='.tc-single-category a{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_category_color).'!important;';
	$sauna_lite_custom_css .='}';

	// Category bg color option
	$sauna_lite_category_background_color = get_theme_mod('sauna_lite_category_background_color');
	$sauna_lite_custom_css .='.tc-single-category a{';
		$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_category_background_color).'!important;';
	$sauna_lite_custom_css .='}';

	// Single post image border radious
	$sauna_lite_single_post_img_border_radius = get_theme_mod('sauna_lite_single_post_img_border_radius', 0);
	$sauna_lite_custom_css .='.feature-box img{';
		$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_single_post_img_border_radius).'px;';
	$sauna_lite_custom_css .='}';

	// Grid Post into blocks
	$sauna_lite_grid_post_blocks = sanitize_text_field(get_theme_mod('sauna_lite_grid_post_blocks', 'Without box'));
	if ($sauna_lite_grid_post_blocks == 'Within box') {
		$sauna_lite_custom_css = (isset($sauna_lite_custom_css) ? $sauna_lite_custom_css : '');
		$sauna_lite_custom_css .= "
			.inner-service .grid-post-box{
				border: 1px solid #222;
				background: transparent;
			}
		";
	}

	// Grid Post Featured image css
	$sauna_lite_grid_post_featured_image_border_radius = get_theme_mod('sauna_lite_grid_post_featured_image_border_radius');
	if($sauna_lite_grid_post_featured_image_border_radius != false){
		$sauna_lite_custom_css .='.inner-service .grid-post-box img{';
			$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_grid_post_featured_image_border_radius).'px;';
		$sauna_lite_custom_css .='}';
	}

	//Grid Post Metabox Seperator
	$sauna_lite_grid_post_metabox_seperator = get_theme_mod('sauna_lite_grid_post_metabox_seperator','|');
	if($sauna_lite_grid_post_metabox_seperator != '' ){
		$sauna_lite_custom_css .='.grid-post-box .box-content .me-2:after{';
			$sauna_lite_custom_css .=' content: "'.esc_attr($sauna_lite_grid_post_metabox_seperator).'"; padding-left:10px;';
		$sauna_lite_custom_css .='}';		
	}

    //Copyright background css
	$sauna_lite_copyright_background_color = get_theme_mod('sauna_lite_copyright_background_color');
	$sauna_lite_custom_css .='.copyright{';
		$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_copyright_background_color).';';
	$sauna_lite_custom_css .='}';
     
    // Logo padding
	$sauna_lite_logo_padding = get_theme_mod('sauna_lite_logo_padding');
	$sauna_lite_custom_css .='.sauna-lite-logo{';
		$sauna_lite_custom_css .=' padding:'.esc_attr($sauna_lite_logo_padding).'px !important;';
	$sauna_lite_custom_css .='}';

	// Logo margin
	$sauna_lite_logo_margin = get_theme_mod('sauna_lite_logo_margin');
	$sauna_lite_custom_css .='.sauna-lite-logo{';
		$sauna_lite_custom_css .=' margin:'.esc_attr($sauna_lite_logo_margin).'px;';
	$sauna_lite_custom_css .='}';

	// menu color option
	$sauna_lite_menu_color_setting = get_theme_mod('sauna_lite_menu_color_setting');
	$sauna_lite_custom_css .='.toggle-menu i{';
		$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_menu_color_setting).';';
	$sauna_lite_custom_css .='} ';

	// Single post image border radious
	$sauna_lite_single_post_img_border_radius = get_theme_mod('sauna_lite_single_post_img_border_radius', 0);
	$sauna_lite_custom_css .='.feature-box img{';
		$sauna_lite_custom_css .='border-radius: '.esc_attr($sauna_lite_single_post_img_border_radius).'px;';
	$sauna_lite_custom_css .='}';

	// Single post image box shadow
	$sauna_lite_single_post_img_box_shadow = get_theme_mod('sauna_lite_single_post_img_box_shadow',0);
	$sauna_lite_custom_css .='.feature-box img{';
		$sauna_lite_custom_css .='box-shadow: '.esc_attr($sauna_lite_single_post_img_box_shadow).'px '.esc_attr($sauna_lite_single_post_img_box_shadow).'px '.esc_attr($sauna_lite_single_post_img_box_shadow).'px #ccc;';
	$sauna_lite_custom_css .='}';

	// Single post image dimention
	$sauna_lite_single_post_featured_image_dimension = get_theme_mod('sauna_lite_single_post_featured_image_dimension', 'default');
	$sauna_lite_single_post_featured_image_custom_width = get_theme_mod('sauna_lite_single_post_featured_image_custom_width');
	$sauna_lite_single_post_featured_image_custom_height = get_theme_mod('sauna_lite_single_post_featured_image_custom_height');
	if($sauna_lite_single_post_featured_image_dimension == 'custom'){
		$sauna_lite_custom_css .='.feature-box.single-post-img img{';
			$sauna_lite_custom_css .='width: '.esc_attr($sauna_lite_single_post_featured_image_custom_width).'!important; height: '.esc_attr($sauna_lite_single_post_featured_image_custom_height).';';
		$sauna_lite_custom_css .='}';
	}

	// Metabox Seperator
	$sauna_lite_metabox_seperator = get_theme_mod('sauna_lite_metabox_seperator','|');
	if($sauna_lite_metabox_seperator != '' ){
		$sauna_lite_custom_css .='.post-box .box-content .me-2:after{';
			$sauna_lite_custom_css .=' content: "'.esc_attr($sauna_lite_metabox_seperator).'"; padding-left:10px;';
		$sauna_lite_custom_css .='}';		
	}

	// Metabox Seperator
	$sauna_lite_single_post_metabox_seperator = get_theme_mod('sauna_lite_single_post_metabox_seperator','|');
	if($sauna_lite_single_post_metabox_seperator != '' ){
		$sauna_lite_custom_css .='.metabox .px-2:after{';
			$sauna_lite_custom_css .=' content: "'.esc_attr($sauna_lite_single_post_metabox_seperator).'"; padding-left:10px;';
		$sauna_lite_custom_css .='}';		
	}

	// Related post Metabox Seperator
	$sauna_lite_related_post_metabox_seperator = get_theme_mod('sauna_lite_related_post_metabox_seperator','|');
	if($sauna_lite_related_post_metabox_seperator != '' ){
		$sauna_lite_custom_css .='.related-posts .metabox .entry-date:after,.related-posts .metabox .entry-author:after,.related-posts .metabox .entry-comments:after{';
			$sauna_lite_custom_css .=' content: "'.esc_attr($sauna_lite_related_post_metabox_seperator).'"; padding-left:1px;';
			$sauna_lite_custom_css .= 'display: inline; ';
		$sauna_lite_custom_css .='}';		
	}

	$sauna_lite_theme_lay = get_theme_mod( 'sauna_lite_footer_text_transform','Capitalize');
	if($sauna_lite_theme_lay == 'Capitalize'){
		$sauna_lite_custom_css .='#sauna-footer .widget h2, a.rsswidget.rss-widget-title{';
			$sauna_lite_custom_css .='text-transform:Capitalize;';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_theme_lay == 'Lowercase'){
		$sauna_lite_custom_css .='#sauna-footer .widget h2, a.rsswidget.rss-widget-title{';
			$sauna_lite_custom_css .='text-transform:Lowercase;';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_theme_lay == 'Uppercase'){
		$sauna_lite_custom_css .='#sauna-footer .widget h2, a.rsswidget.rss-widget-title{';
			$sauna_lite_custom_css .='text-transform:Uppercase;';
		$sauna_lite_custom_css .='}';
	}

	// widgets heading font size
	$sauna_lite_widgets_heading_fontsize = get_theme_mod('sauna_lite_widgets_heading_fontsize',25);
	if($sauna_lite_widgets_heading_fontsize != false){
		$sauna_lite_custom_css .='#sauna-footer .widget h2{';
			$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_widgets_heading_fontsize).'px; ';
		$sauna_lite_custom_css .='}';
	}

	// widgets heading font weight
	$sauna_lite_widgets_heading_font_weight = get_theme_mod('sauna_lite_widgets_heading_font_weight', '');
  	$sauna_lite_custom_css .='#sauna-footer .widget h2{';
    $sauna_lite_custom_css .='font-weight: '.esc_attr($sauna_lite_widgets_heading_font_weight).';';
  	$sauna_lite_custom_css .='}';

	/*----------- Footer widgets heading letter spacing -----*/
	$sauna_lite_button_footer_heading_letter_spacing = get_theme_mod('sauna_lite_button_footer_heading_letter_spacing');
	$sauna_lite_custom_css .='#sauna-footer .widget h2,a.rsswidget.rss-widget-title{';
		$sauna_lite_custom_css .='letter-spacing: '.esc_attr($sauna_lite_button_footer_heading_letter_spacing).'px;';
	$sauna_lite_custom_css .='}';

	/*----------- Footer widgets heading alignment -----*/
	$sauna_lite_footer_widgets_heading = get_theme_mod( 'sauna_lite_footer_widgets_heading','Left');
    if($sauna_lite_footer_widgets_heading == 'Left'){
		$sauna_lite_custom_css .='#sauna-footer h2{';
		$sauna_lite_custom_css .='text-align: left;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_footer_widgets_heading == 'Center'){
		$sauna_lite_custom_css .='#sauna-footer h2{';
			$sauna_lite_custom_css .='text-align: center;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_footer_widgets_heading == 'Right'){
		$sauna_lite_custom_css .='#sauna-footer h2{';
			$sauna_lite_custom_css .='text-align: right;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_footer_widgets_content = get_theme_mod( 'sauna_lite_footer_widgets_content','Left');
    if($sauna_lite_footer_widgets_content == 'Left'){
		$sauna_lite_custom_css .='footer .footer-block p,#sauna-footer ul,.widget_shopping_cart_content p,#sauna-footer form,div#calendar_wrap,#sauna-footer table,#sauna-footer.gallery,aside#media_image-2,.tagcloud,#sauna-footer figure.gallery-item,aside#block-7,.textwidget p,#calendar-2 caption,#calendar_wrap caption{';
		$sauna_lite_custom_css .='text-align: left;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_footer_widgets_content == 'Center'){
		$sauna_lite_custom_css .='footer .footer-block p,#sauna-footer ul,.widget_shopping_cart_content p,#sauna-footer form,div#calendar_wrap,#sauna-footer table,#sauna-footer.gallery,aside#media_image-2,.tagcloud,#sauna-footer figure.gallery-item,aside#block-7,.textwidget p,#calendar-2 caption,#calendar_wrap caption{';
			$sauna_lite_custom_css .='text-align: center;';
		$sauna_lite_custom_css .='}';
	}else if($sauna_lite_footer_widgets_content == 'Right'){
		$sauna_lite_custom_css .='footer .footer-block p,#sauna-footer ul,.widget_shopping_cart_content p,#sauna-footer form,div#calendar_wrap,#sauna-footer table,#sauna-footer.gallery,aside#media_image-2,.tagcloud,#sauna-footer figure.gallery-item,aside#block-7,.textwidget p,#calendar-2 caption,#calendar_wrap caption{';
			$sauna_lite_custom_css .='text-align: right !important;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_show_hide_post_categories = get_theme_mod('sauna_lite_show_hide_post_categories',true);
	if($sauna_lite_show_hide_post_categories == false){
		$sauna_lite_custom_css .='.tc-category{';
			$sauna_lite_custom_css .='display: none;';
		$sauna_lite_custom_css .='}';
	}

	/*-------- Blog Post Alignment ------*/
	$sauna_lite_post_alignment = get_theme_mod('sauna_lite_blog_post_alignment', 'left');
	if($sauna_lite_post_alignment == 'center' ){
		$sauna_lite_custom_css .='.page-box,.page-box h2,.page-box .read-btn{';
			$sauna_lite_custom_css .=' text-align: '. $sauna_lite_post_alignment .'!important;';
		$sauna_lite_custom_css .='}';
	}elseif($sauna_lite_post_alignment == 'right' ){
		$sauna_lite_custom_css .='.page-box,.page-box h2,.page-box .read-btn{';
			$sauna_lite_custom_css .='text-align: '. $sauna_lite_post_alignment .'!important;';
		$sauna_lite_custom_css .='}';
	}

	// Blog Post Button Font Size 
	$sauna_lite_button_font_size = get_theme_mod('sauna_lite_button_font_size');
	if($sauna_lite_button_font_size != false){
		$sauna_lite_custom_css .='#our-services .page-box .read-more,.related-posts .page-box .read-more{';
			$sauna_lite_custom_css .='font-size: '.esc_attr($sauna_lite_button_font_size).'px;';
		$sauna_lite_custom_css .='}';
	}

	$sauna_lite_button_text_transform = get_theme_mod( 'sauna_lite_button_text_transform','Capitalize');
	if($sauna_lite_button_text_transform == 'Capitalize'){
		$sauna_lite_custom_css .='#our-services .page-box .read-more{';
			$sauna_lite_custom_css .='text-transform:Capitalize;';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_button_text_transform == 'Lowercase'){
		$sauna_lite_custom_css .='#our-services .page-box .read-more{';
			$sauna_lite_custom_css .='text-transform:Lowercase;';
		$sauna_lite_custom_css .='}';
	}
	if($sauna_lite_button_text_transform == 'Uppercase'){
		$sauna_lite_custom_css .='#our-services .page-box .read-more{';
			$sauna_lite_custom_css .='text-transform:Uppercase;';
		$sauna_lite_custom_css .='}';
	}

	//Initial Cap
	$sauna_lite_initial_caps_enable = get_theme_mod('sauna_lite_initial_caps_enable', 'false');
	if($sauna_lite_initial_caps_enable == 'true' ){
		$sauna_lite_custom_css .='.post-box p:nth-of-type(1)::first-letter{';
			$sauna_lite_custom_css .=' font-size: 60px!important; font-weight: 800!important;';
		$sauna_lite_custom_css .=' margin-right: 10px!important;';
			$sauna_lite_custom_css .=' font-family: "Vollkorn", serif!important;';
			$sauna_lite_custom_css .=' line-height: 1!important';
		$sauna_lite_custom_css .='}';
	}elseif($sauna_lite_initial_caps_enable == 'false' ){
		$sauna_lite_custom_css .='.post-box p:nth-of-type(1)::first-letter{';
			$sauna_lite_custom_css .='display: none!important;';
		$sauna_lite_custom_css .='}';
	}
	// Slider Button Background Color
	$sauna_lite_slider_btn_bg_color = get_theme_mod('sauna_lite_slider_btn_bg_color');
	if($sauna_lite_slider_btn_bg_color != false){
		$sauna_lite_custom_css .='.inner_carousel .more-btn a{';
		$sauna_lite_custom_css .='background-color: '.esc_attr($sauna_lite_slider_btn_bg_color).' !important;';
		$sauna_lite_custom_css .='}';
	}

	// Slider Button label color
	$sauna_lite_slider_btn_color = get_theme_mod('sauna_lite_slider_btn_color');
	$sauna_lite_custom_css .='.inner_carousel .more-btn a{';
	$sauna_lite_custom_css .='color: '.esc_attr($sauna_lite_slider_btn_color).' !important;';
	$sauna_lite_custom_css .='}';

	
